Bug 1015126 - crm_mon crashed with segfault
crm_mon crashed with segfault
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andrew Beekhof
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2013-10-03 09:31 EDT by michal novacek
Modified: 2014-06-18 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: pacemaker-1.1.10-21.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 08:51:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
crm_report (1.64 MB, application/x-bzip2)
2013-10-03 09:31 EDT, michal novacek
no flags Details
/var/tmp/abrt tarball (647.03 KB, application/x-bzip2)
2013-10-03 09:31 EDT, michal novacek
no flags Details
another abrt dump of crm_mon crash (284.41 KB, application/x-gunzip)
2013-11-07 07:19 EST, michal novacek
no flags Details
patch fixes crm_mon crash (13.81 KB, patch)
2014-01-20 12:41 EST, David Vossel
no flags Details | Diff

  None (edit)
Description michal novacek 2013-10-03 09:31:13 EDT
Created attachment 807085 [details]

Description of problem:
crm_mon crashed with segfault.

Version-Release number of selected component (if applicable):

I'm attaching crm_report tarball and /var/tmp/abrt tarball.
Comment 1 michal novacek 2013-10-03 09:31:46 EDT
Created attachment 807086 [details]
/var/tmp/abrt tarball
Comment 3 Andrew Beekhof 2013-10-06 22:38:33 EDT
I can see there is a problem from the system logs: 

Oct  3 15:17:38 marathon-03 kernel: [ 1473.929893] abrt-handle-eve[2857]: segfault at 0 ip 00007f01c583c6c4 sp 00007fffc9c41590 error 4 in libsatyr.so.1.0.0[7f01c57e5000+13b000]
Oct  3 15:17:38 marathon-03 abrt[2890]: Saved core dump of pid 2857 (/usr/libexec/abrt-handle-event) to /var/tmp/abrt/abrt-handle-event-coredump (1769472 bytes)
Oct  3 15:17:38 marathon-03 abrtd: 'post-create' on '/var/tmp/abrt/ccpp-2013-10-03-15:17:37-2854' killed by signal 11
Oct  3 15:17:38 marathon-03 abrtd: Deleting problem directory '/var/tmp/abrt/ccpp-2013-10-03-15:17:37-2854'
Oct  3 15:17:39 marathon-03 kernel: [ 1475.179342] crm_mon[2893]: segfault at 0 ip 00000000004065d2 sp 00007fff34a140a0 error 4 in crm_mon[400000+c000]
Oct  3 15:17:39 marathon-03 abrt[2894]: Saved core dump of pid 2893 (/usr/sbin/crm_mon) to /var/tmp/abrt/ccpp-2013-10-03-15:17:39-2893 (2535424 bytes)
Oct  3 15:17:39 marathon-03 abrtd: Directory 'ccpp-2013-10-03-15:17:39-2893' creation detected
Oct  3 15:17:40 marathon-03 abrtd: Generating core_backtrace
Oct  3 15:17:40 marathon-03 abrtd: Generating backtrace

but apart from a couple of kernel ooops', a pythin crash and a crash in network manager, there is nothing from crm_mon in attachment #807086 [details].
Comment 4 michal novacek 2013-11-07 07:19:29 EST
Created attachment 821052 [details]
another abrt dump of crm_mon crash

The problem appeared again in normal use. 

After the first crash crm_mon crashed on every other run on both nodes of the cluster reporting 'There is no cluster running onthis node' althought pacemaker was runnning. 

After pacemaker restart through 'systemctl restart pacemaker' it started working again.
Comment 5 David Vossel 2014-01-20 12:41:37 EST
Created attachment 852809 [details]
patch fixes crm_mon crash

This patch fixes the crash.
Comment 7 michal novacek 2014-03-28 08:58:15 EDT
Marking SanityOnly as there is no reliable reproducer.
Comment 8 Ludek Smid 2014-06-13 08:51:29 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.